OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

> Compiling Gforth On Z
Meyer
post Sep 13 2005, 09:54 AM
Post #1





Group: Members
Posts: 91
Joined: 15-July 04
From: Takarazuka, Japan
Member No.: 4,010



Anyone else tried to compile gforth 0.6.2 on their Z using dev_img 1.5? I keep failing on the link step with "undefined reference to `fstat64'" errors in engine.o and engine2.o. I want to compile the latest version of gforth because although Skip Carter's version 0.5.0 binary on ZSI is useful, it lacks a few standard modules I need.
Go to the top of the page
 
+Quote Post
 
Start new topic
Replies
inode0
post Sep 13 2005, 10:23 AM
Post #2





Group: Members
Posts: 97
Joined: 15-December 04
Member No.: 5,933



QUOTE(Meyer @ Sep 13 2005, 05:54 PM)
Anyone else tried to compile gforth 0.6.2 on their Z using dev_img 1.5? I keep failing on the link step with "undefined reference to `fstat64'" errors in engine.o and engine2.o. I want to compile the latest version of gforth because although Skip Carter's version 0.5.0 binary on ZSI is useful, it lacks a few standard modules I need.

This sounds like the same problem I mentioned with zgcc. See if the comments in this thread solve it. I can give it a try later tonight.

John
Go to the top of the page
 
+Quote Post
Meyer
post Sep 13 2005, 05:47 PM
Post #3





Group: Members
Posts: 91
Joined: 15-July 04
From: Takarazuka, Japan
Member No.: 4,010



QUOTE
The fault lies not in our gforth, but in our image_setup. -- William Geekspeare


Thanks, John. That looks like it explains my trouble.

Actually, after my initial post random surfing through the forums led me to this thread, which deals with the same problem.

Apparently the problem is not with gforth or whatever else is being built, and not that any necessary modules are missing from dev_img, but that the script image_setup.sh that comes with at least versions 1.5 and 1.6 of dev_img fails to create a number of links that are required for ld to find some of the modules.

The thread cited above includes a script that makes up for image_setup.sh's shortcomings. I ran it on my Z and can now successfully build Gforth 0.6.2.
Go to the top of the page
 
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 29th July 2014 - 10:54 AM